Bug 2022450 - Please consider packaging latest git HEAD of podman-compose
Summary: Please consider packaging latest git HEAD of podman-compose
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: podman-compose
Version: 35
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-11 16:34 UTC by Martin Jackson
Modified: 2021-11-24 01:18 UTC (History)
1 user (show)

Fixed In Version: podman-compose-0.1.7-8.git20211114.fc34 podman-compose-0.1.7-8.git20211114.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-24 01:08:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Jackson 2021-11-11 16:34:13 UTC
aDescription of problem:
podman-compose has recently fixed a bug that affects the ability to run, for example, the Quarkus Coffee Shop Demo (specifically related to variable substitution in command strings - see https://github.com/containers/podman-compose/issues/352, and also (for good measure https://github.com/containers/podman-compose/issues/353).

Both of these bugs seem to be good features to have in the packaged version of this software, since people coming from docker-compose may trip over both of those issues.

Please consider packaging the devel branch (at 117b7fb or later) and releasing it.  Thanks!

Version-Release number of selected component (if applicable):
podman-compose-0.1.7-6.git20210129.fc35.noarch

How reproducible:
Always


Additional info:

Comment 1 Fedora Update System 2021-11-11 17:02:31 UTC
FEDORA-2021-7175670a53 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7175670a53

Comment 2 Fedora Update System 2021-11-11 17:02:32 UTC
FEDORA-2021-03729e21e3 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-03729e21e3

Comment 3 Fedora Update System 2021-11-12 01:03:06 UTC
FEDORA-2021-03729e21e3 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-03729e21e3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-03729e21e3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-11-12 01:25:05 UTC
FEDORA-2021-7175670a53 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7175670a53`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7175670a53

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Martin Jackson 2021-11-13 14:51:14 UTC
Upstream pushed a commit this morning the fix the --dry-run issue (git sha ae3deb19dcce2a365eb54f05016de87a65cce43a).  I've tested it and it works (on f35 at least).

Comment 6 Fedora Update System 2021-11-14 16:27:29 UTC
FEDORA-2021-5a269516c5 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5a269516c5

Comment 7 Fedora Update System 2021-11-14 16:27:31 UTC
FEDORA-2021-190484e496 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-190484e496

Comment 8 Fedora Update System 2021-11-16 00:20:33 UTC
FEDORA-2021-5a269516c5 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5a269516c5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5a269516c5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-11-16 00:33:14 UTC
FEDORA-2021-190484e496 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-190484e496`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-190484e496

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-11-24 01:08:48 UTC
FEDORA-2021-5a269516c5 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-11-24 01:18:06 UTC
FEDORA-2021-190484e496 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.